summaryrefslogtreecommitdiffstats
path: root/maven/make-deploy.sh
diff options
context:
space:
mode:
authorSven Gothel <[email protected]>2012-11-06 20:57:33 +0100
committerSven Gothel <[email protected]>2012-11-06 21:16:30 +0100
commitbb3bb1247fb1fab05a85302dd9e5d57b769fcdbf (patch)
tree370c3efa0d2e4229feaa4ed8fdf8ad64d8660838 /maven/make-deploy.sh
parent4fd161240a1616382c1b1f744bf31d2a9489437e (diff)
Prepare repo merge
Diffstat (limited to 'maven/make-deploy.sh')
-rwxr-xr-xmaven/make-deploy.sh35
1 files changed, 35 insertions, 0 deletions
diff --git a/maven/make-deploy.sh b/maven/make-deploy.sh
new file mode 100755
index 0000000..3540cec
--- /dev/null
+++ b/maven/make-deploy.sh
@@ -0,0 +1,35 @@
+#!/bin/sh
+
+info()
+{
+ echo "make-deploy: info: $1" 1>&2
+}
+
+if [ $# -ne 1 ]
+then
+ info "usage: version"
+ exit 1
+fi
+
+VERSION="$1"
+shift
+
+PROJECTS=`cat make-projects.txt` || exit 1
+PLATFORMS=`cat make-platforms.txt | awk '{print $1}'` || exit 1
+
+CURRENT_DIR=`pwd` || exit 1
+
+# Set internal field separator to newlines so that ${PROJECTS} is
+# tokenized per-line.
+IFS="
+"
+
+for PROJECT_LINE in ${PROJECTS}
+do
+ # Determine project name
+ NAME=`echo "${PROJECT_LINE}" | awk -F: '{print $1}'` || exit 1
+ NAME=`echo "${NAME}" | tr -d ' '` || exit 1
+
+ ./make-deploy-one.sh "${NAME}" "${VERSION}"
+done
+